elm::index Struct Reference

Public Member Functions
elm::index Struct Reference

Class index. More...

## Public Member Functions
| index (Eo *eo)
| Eo Constructor. More...
| index (std::nullptr_t)
| nullptr_t Constructor. More...
| index (index const &other)
| Copy Constructor.
void | level_go (int level_) const
::elm::widget_item | item_prepend (::efl::eina::string_view letter_, Evas_Smart_Cb func_, const void *data_) const
::elm::widget_item | item_insert_after (::elm::widget_item after_, ::efl::eina::string_view letter_, Evas_Smart_Cb func_, const void *data_) const
::elm::widget_item | item_find (const void *data_) const
::elm::widget_item | item_insert_before (::elm::widget_item before_, ::efl::eina::string_view letter_, Evas_Smart_Cb func_, const void *data_) const
::elm::widget_item | item_append (::efl::eina::string_view letter_, Evas_Smart_Cb func_, const void *data_) const
::elm::widget_item | selected_item_get (int level_) const
::elm::widget_item | item_sorted_insert (::efl::eina::string_view letter_, Evas_Smart_Cb func_, const void *data_, Eina_Compare_Cb cmp_func_, Eina_Compare_Cb cmp_data_func_) const
| index (::efl::eo::parent_type _p)
| Constructs a new elm::index object. More...

## Detailed Description

Class index.

## Constructor & Destructor Documentation

## ◆ index() [1/3]

elm::index::index | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::index object.

Constructs a new elm::index object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::index my_index(efl::eo::parent = parent_object);

See also
  index(Eo* eo)

## ◆ index() [2/3]

elm::index::index | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

## ◆ index() [3/3]

elm::index::index | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

## ◆ item_append()

::elm::widget_item elm::index::item_append | ( | ::efl::eina::string_view | letter_,
|  | Evas_Smart_Cb | func_,
|  | const void * | data_
| ) |  | const

Parameters

  letter |
  func |
  data |

## ◆ item_find()

::elm::widget_item elm::index::item_find | ( | const void * | data_ | ) | const

Parameters

  data |

## ◆ item_insert_after()

::elm::widget_item elm::index::item_insert_after | ( | ::elm::widget_item | after_,
|  | ::efl::eina::string_view | letter_,
|  | Evas_Smart_Cb | func_,
|  | const void * | data_
| ) |  | const

Parameters

  after |
  letter |
  func |
  data |

## ◆ item_insert_before()

::elm::widget_item elm::index::item_insert_before | ( | ::elm::widget_item | before_,
|  | ::efl::eina::string_view | letter_,
|  | Evas_Smart_Cb | func_,
|  | const void * | data_
| ) |  | const

Parameters

  before |
  letter |
  func |
  data |

## ◆ item_prepend()

::elm::widget_item elm::index::item_prepend | ( | ::efl::eina::string_view | letter_,
|  | Evas_Smart_Cb | func_,
|  | const void * | data_
| ) |  | const

Parameters

  letter |
  func |
  data |

## ◆ item_sorted_insert()

::elm::widget_item elm::index::item_sorted_insert | ( | ::efl::eina::string_view | letter_,
|  | Evas_Smart_Cb | func_,
|  | const void * | data_,
|  | Eina_Compare_Cb | cmp_func_,
|  | Eina_Compare_Cb | cmp_data_func_
| ) |  | const

Parameters

  letter |
  func |
  data |
  cmp_func |
  cmp_data_func |

## ◆ level_go()

void elm::index::level_go | ( | int | level_ | ) | const

Parameters

  level |

## ◆ selected_item_get()

::elm::widget_item elm::index::selected_item_get | ( | int | level_ | ) | const

Parameters

  level |